# Changelog

## 2024-10-11 - 3.1.0 - feat(virtualstream)
Enhance VirtualStream with optional closure when reading from webstream

- Added an optional parameter `closeAfterReading` to the `readFromWebstream` method.
- The stream will close automatically after reading if `closeAfterReading` is set to true.

## 2024-10-11 - 3.0.33 - fix(test)
Increase delay duration before stopping the server in test suite.

- Adjusted the delay time from 1000 ms to 10000 ms before stopping the server to ensure tests complete smoothly.

## 2024-09-06 - 3.0.32 - fix(virtualstream)
Fix keep-alive loop handling and test cleanup

- Prevent unnecessary keep-alive loop from starting on the responding side
- Add logging for keep-alive loop initiation in VirtualStream
- Temporarily comment out stream close and tap forceful stop in test to avoid abrupt termination

## 2024-09-06 - 3.0.31 - fix(core)
Updated dependencies and added close method to VirtualStream

- Updated dependencies in package.json for better compatibility
- Added close method to VirtualStream class in ts/classes.virtualstream.ts for more graceful stream termination

## 2024-05-31 - 3.0.28 - Error Handling
Enhancement to error handling mechanisms.

- Logs now include the method to which an error was given.

## 2023-08-04 - 3.0.0 - Core
Introduced a breaking change.

- Major update to core functionalities.